ea-apache24-config (1.0-204+216.1.cpanel) stable; urgency=low

  * CPANEL-46581: Add obfuscation for whm-server-status endpoint.

 -- Jared Wright <jared.wright@webpros.com>  Wed, 07 Jan 2026 00:00:00 -0000

ea-apache24-config (1.0-203) stable; urgency=low

  * EA4-194: For traffic log, log the host involved in the request instead of the vhots’s ServerName

 -- Dan Muey <daniel.muey@webpros.com>  Wed, 12 Nov 2025 00:00:00 -0000

ea-apache24-config (1.0-202) stable; urgency=low

  * EA4-140: Add wp and wp2 service subdomains to conf on wp2 servers

 -- Brian Mendoza <brian.mendoza@webpros.com>  Fri, 24 Oct 2025 00:00:00 -0000

ea-apache24-config (1.0-201) stable; urgency=low

  * ZC-12882: Re-order traffic log IPs format to match actual use
  * ZC-12882: switch domlogs from `%h` to `%a` to take advantage of real-ip

 -- Dan Muey <daniel.muey@webpros.com>  Mon, 02 Jun 2025 00:00:00 -0000

ea-apache24-config (1.0-200) stable; urgency=low

  * ZC-12837: Create Cloudflare mod_remoteip configuration

 -- Chris Castillo <chris.castillo@webpros.com>  Tue, 27 May 2025 00:00:00 -0000

ea-apache24-config (1.0-199) stable; urgency=low

  * ZC-12824: Fix traffic logs when not piped logs on Apache

 -- Julian Brown <julian.brown@webpros.com>  Wed, 07 May 2025 00:00:00 -0000

ea-apache24-config (1.0-198) stable; urgency=low

  * ZC-12790: Fix random pthread crashing

 -- Gary Stanley <gary.stanley@webpros.com>  Fri, 25 Apr 2025 00:00:00 -0000

ea-apache24-config (1.0-197) stable; urgency=low

  * ZC-12792: Add minimum version ea-cpanel-tools dep

 -- Dan Muey <daniel.muey@webpros.com>  Fri, 25 Apr 2025 00:00:00 -0000

ea-apache24-config (1.0-196) stable; urgency=low

  * ZC-12754: Collect traffic logs.

 -- Chris Castillo <chris.castillo@webpros.com>  Mon, 07 Apr 2025 00:00:00 -0000

ea-apache24-config (1.0-195) stable; urgency=low

  * ZC-12113: default mutex over to pthreads

 -- Gary Stanley <gary@cpanel.net>  Tue, 01 Apr 2025 00:00:00 -0000

ea-apache24-config (1.0-194) stable; urgency=low

  * ZC-12629: Handle techdomains in vhost config.

 -- Chris Castillo <chris.castillo@webpros.com>  Thu, 20 Mar 2025 00:00:00 -0000

ea-apache24-config (1.0-193) stable; urgency=low

  * ZC-11694: Correct problem where changing MPM does not restart Apache

 -- Julian Brown <julian.brown@cpanel.net>  Thu, 14 Mar 2024 00:00:00 -0000

ea-apache24-config (1.0-192) stable; urgency=low

  * ZC-10936: Clean up Makefile and remove debug-package-nil

 -- Julian Brown <julian.brown@cpanel.net>  Mon, 08 May 2023 00:00:00 -0000

ea-apache24-config (1.0-191) stable; urgency=low

  * EA-11222: Remove ancient MSIE SSL keepalive hack

 -- Tim Mullin <tim@cpanel.net>  Fri, 24 Mar 2023 00:00:00 -0000

ea-apache24-config (1.0-190) stable; urgency=low

  * EA-11169: Ensure apache restart during glibc updates on Ubuntu

 -- Travis Holloway <t.holloway@cpanel.net>  Fri, 27 Jan 2023 00:00:00 -0000

ea-apache24-config (1.0-189) stable; urgency=low

  * EA-11159: Provide touchfile to disable apache restart for glibc update

 -- Travis Holloway <t.holloway@cpanel.net>  Tue, 17 Jan 2023 00:00:00 -0000

ea-apache24-config (1.0-188) stable; urgency=low

  * EA-10947: Use %{local}p to send correct port to splitlogs when piped logging is enabled

 -- Travis Holloway <t.holloway@cpanel.net>  Wed, 28 Sep 2022 00:00:00 -0000

ea-apache24-config (1.0-187) stable; urgency=low

  * EA-10935: Account for IPv6 addresses when setting up mod_remoteip

 -- Travis Holloway <t.holloway@cpanel.net>  Wed, 21 Sep 2022 00:00:00 -0000

ea-apache24-config (1.0-186) stable; urgency=low

  * EA-10912: Setup mod_remoteip to work with all the server IPs

 -- Tim Mullin <tim@cpanel.net>  Thu, 01 Sep 2022 00:00:00 -0000

ea-apache24-config (1.0-185) stable; urgency=low

  * ZC-9750: Add support for secure use of proxying to Apache w/ mod_remoteip

 -- Dan Muey <dan@cpanel.net>  Thu, 17 Feb 2022 00:00:00 -0000

ea-apache24-config (1.0-184) stable; urgency=low

  * EA-9376: Fix piped logging with log style set to common

 -- Tim Mullin <tim@cpanel.net>  Tue, 08 Feb 2022 00:00:00 -0000

ea-apache24-config (1.0-183) stable; urgency=low

  * ZC-9700: Do not use predictable cPanel-localhost header

 -- Travis Holloway <t.holloway@cpanel.net>  Tue, 08 Feb 2022 00:00:00 -0000

ea-apache24-config (1.0-182) stable; urgency=low

  * EA-9800: Ensure httpd.conf has newline before UserDir when mod_passenger installed

 -- Tim Mullin <tim@cpanel.net>  Fri, 04 Feb 2022 00:00:00 -0000

ea-apache24-config (1.0-181) stable; urgency=low

  * SEC-614: Remove conditional logging based on the cPanel-localhost header.

 -- Stephen Bee <stephen@cpanel.net>  Wed, 22 Dec 2021 00:00:00 -0000

ea-apache24-config (1.0-180) stable; urgency=low

  * ZC-9503: Have 009 hook find users set to no-longer-installed PHP versions and set them to default

 -- Dan Muey <dan@cpanel.net>  Wed, 17 Nov 2021 00:00:00 -0000

ea-apache24-config (1.0-179) stable; urgency=low

  * ZC-9253: install nobody hook via ea-cpanel-tools so its available for pre-txn profile install

 -- Dan Muey <dan@cpanel.net>  Tue, 07 Sep 2021 00:00:00 -0000

ea-apache24-config (1.0-178) stable; urgency=low

  * ZC-9109: Do ensure-nobody script pre transaction so post transaction script can relay on it being there

 -- Dan Muey <dan@cpanel.net>  Mon, 02 Aug 2021 00:00:00 -0000

ea-apache24-config (1.0-177) stable; urgency=low

  * CPANEL-36901: Avoid redirection loops when handling requests from reverse proxies.

 -- Stephen Bee <stephen@cpanel.net>  Thu, 29 Jul 2021 00:00:00 -0000

ea-apache24-config (1.0-176) stable; urgency=low

  * ZC-7402: Set SecRuleEngine under mod sec 3.x the same as we do for 2.x

 -- Daniel Muey <dan@cpanel.net>  Tue, 27 Jul 2021 00:00:00 -0000

ea-apache24-config (1.0-175) stable; urgency=low

  * ZC-9061: Detect and inform admin of non-existent home directory
  * ZC-9058: Have nobody check set primary group to nobody

 -- Daniel Muey <dan@cpanel.net>  Thu, 08 Jul 2021 00:00:00 -0000

ea-apache24-config (1.0-174) stable; urgency=low

  * ZC-8936: Address C8 issue w/ 001-ensure-nobody hook

 -- Daniel Muey <dan@cpanel.net>  Wed, 23 Jun 2021 00:00:00 -0000

ea-apache24-config (1.0-173) stable; urgency=low

  * EA-9873: Remove debug statement from 001-ensure-nobody

 -- Travis Holloway <t.holloway@cpanel.net>  Wed, 16 Jun 2021 00:00:00 -0000

ea-apache24-config (1.0-172) stable; urgency=low

  * ZC-8941: 100-phpfpm_cleanup.pl’s logic bug with `$installing`

 -- Daniel Muey <dan@cpanel.net>  Wed, 09 Jun 2021 00:00:00 -0000

ea-apache24-config (1.0-171) stable; urgency=low

  * ZC-8853: ensure nobody user/group exist until CPANEL-37051

 -- Daniel Muey <dan@cpanel.net>  Thu, 20 May 2021 00:00:00 -0000

ea-apache24-config (1.0-170) stable; urgency=low

  * CPANEL-36164: Add proxy path for ActiveSync.

 -- Rikus Goodell <rikus.goodell@cpanel.net>  Wed, 10 Mar 2021 00:00:00 -0000

ea-apache24-config (1.0-169) stable; urgency=low

  * EA-9550: Fix to not overwrite errordocument.conf upon upgrade

 -- Tim Mullin <tim@cpanel.net>  Wed, 27 Jan 2021 00:00:00 -0000

ea-apache24-config (1.0-168) stable; urgency=low

  * EA-9493: EA-9493-ea-apache2-config: remove need for perl-libwww-perl

 -- Julian Brown <julian.brown@cpanel.net>  Tue, 22 Dec 2020 00:00:00 -0000

ea-apache24-config (1.0-167) stable; urgency=low

  * COBRA-11968: Fix Let’s Encrypt HTTP DCV under SSL force-redirect.

 -- Felipe Gasper <felipe@cpanel.net>  Wed, 04 Nov 2020 00:00:00 -0000

ea-apache24-config (1.0-166) stable; urgency=low

  * ZC-7308: Updates for PHP 8

 -- Daniel Muey <dan@cpanel.net>  Wed, 28 Oct 2020 00:00:00 -0000

ea-apache24-config (1.0-165) stable; urgency=low

  * CPANEL-34021: Proxy /cpanelwebcall/ URLs to cpsrvd.

 -- Felipe Gasper <felipe@cpanel.net>  Tue, 08 Sep 2020 00:00:00 -0000

ea-apache24-config (1.0-164) stable; urgency=low

  * EA-9123: Check for cPanel-localhost to see if we are proxying from nginx

 -- Tim Mullin <tim@cpanel.net>  Wed, 08 Jul 2020 00:00:00 -0000

ea-apache24-config (1.0-163) stable; urgency=low

  * ZC-7101: Update hooks for Yum and DNF

 -- Julian Brown <julian.brown@cpanel.net>  Mon, 06 Jul 2020 00:00:00 -0000

ea-apache24-config (1.0-162) stable; urgency=low

  * ZC-6899: do not log proxied requests to avoid double counting of them in stats

 -- Dan Muey <dan@cpanel.net>  Mon, 08 Jun 2020 00:00:00 -0000

ea-apache24-config (1.0-161) stable; urgency=low

  * CPANEL-32753: Teach templates to recognize vhost.proxy_backend.

 -- Felipe Gasper <felipe@cpanel.net>  Fri, 15 May 2020 00:00:00 -0000

ea-apache24-config (1.0-160) stable; urgency=low

  * ZC-3620: Factor in non-global includes from the include editor

 -- Daniel Muey <dan@cpanel.net>  Tue, 17 Mar 2020 00:00:00 -0000

ea-apache24-config (1.0-159) stable; urgency=low

  * EA-8629: Prevent caching of defaultwebpage.cgi redirect

 -- Tim Mullin <tim@cpanel.net>  Mon, 30 Dec 2019 00:00:00 -0000

ea-apache24-config (1.0-158) stable; urgency=low

  * EA-8329: Fix error in phpfpm cleanup script

 -- Tim Mullin <tim@cpanel.net>  Fri, 18 Oct 2019 00:00:00 -0000

ea-apache24-config (1.0-157) stable; urgency=low

  * ZC-5669: Add undocumented & unsupported touchfile to disable 009-phpconf.pl's user setting validation

 -- Daniel Muey <dan@cpanel.net>  Thu, 10 Oct 2019 00:00:00 -0000

ea-apache24-config (1.0-156) stable; urgency=low

  * BOO-873: Allow SSLUseStapling to be configured in ea4.conf

 -- Rishwanth Yeddula <rish@cpanel.net>  Wed, 25 Sep 2019 00:00:00 -0000

ea-apache24-config (1.0-155) stable; urgency=low

  * EA-8591: Better error handling for over-quota users allowing session directory creation

 -- Tim Mullin <tim@cpanel.net>  Mon, 19 Aug 2019 00:00:00 -0000

ea-apache24-config (1.0-154) stable; urgency=low

  * EA-8610: Update pecl patch to skip if alt-phps are in use, requested by CloudLinux

 -- Cory McIntire <cory@cpanel.net>  Fri, 16 Aug 2019 00:00:00 -0000

ea-apache24-config (1.0-153) stable; urgency=low

  * EA-8572: Fixed typo in setting RLimitCPU and RLimitMEM

 -- Tim Mullin <tim@cpanel.net>  Mon, 22 Jul 2019 00:00:00 -0000

ea-apache24-config (1.0-152) stable; urgency=low

  * EA-8573: Update user PHP package handlers when a PHP package handler must be updated

 -- Tim Mullin <tim@cpanel.net>  Thu, 18 Jul 2019 00:00:00 -0000

ea-apache24-config (1.0-151) stable; urgency=low

  * ZC-5210: Fallback to the ea4 meta default PHP when the current default is not installed

 -- Daniel Muey <dan@cpanel.net>  Thu, 13 Jun 2019 00:00:00 -0000

ea-apache24-config (1.0-150) stable; urgency=low

  * EA-8436: Omit mailman aliases when skipmailman tweak setting is set

 -- Tim Mullin <tim@cpanel.net>  Fri, 10 May 2019 00:00:00 -0000

ea-apache24-config (1.0-149) stable; urgency=low

  * EA-8447: Added error log protection to the ea4_main template

 -- Tim Mullin <tim@cpanel.net>  Fri, 10 May 2019 00:00:00 -0000

ea-apache24-config (1.0-148) stable; urgency=low

  * BWG-779: Allow DCV requests to pass through when 'Redirect to SSL' is enabled.

 -- Jared Wright <jared.wright@cpanel.net>  Wed, 17 Apr 2019 00:00:00 -0000

ea-apache24-config (1.0-147) stable; urgency=low

  * EA-8338: Keep virtual host include file comment in place even if conf files have been included

 -- Tim Mullin <tim@cpanel.net>  Fri, 12 Apr 2019 00:00:00 -0000

ea-apache24-config (1.0-146) stable; urgency=low

  * EA-8305: Revert case EA-8250.

 -- Cory McIntire <cory@cpanel.net>  Mon, 01 Apr 2019 00:00:00 -0000

ea-apache24-config (1.0-145) stable; urgency=low

  * EA-8250: Moved default SSL block to be before user domains

 -- Tim Mullin <tim@cpanel.net>  Fri, 22 Feb 2019 00:00:00 -0000

ea-apache24-config (1.0-144) stable; urgency=low

  * EA-8228: Fix extra chomping in ea4_main.default

 -- Tim Mullin <tim@cpanel.net>  Mon, 18 Feb 2019 00:00:00 -0000

ea-apache24-config (1.0-143) stable; urgency=low

  * ZC-4742: Install configuration to prevent non-PHP files from being executed by PHP

 -- Daniel Muey <dan@cpanel.net>  Mon, 04 Feb 2019 00:00:00 -0000

ea-apache24-config (1.0-142) stable; urgency=low

  * ZC-4726: use get_default_php_handler() instead of hardcoded value

 -- Daniel Muey <dan@cpanel.net>  Thu, 24 Jan 2019 00:00:00 -0000

ea-apache24-config (1.0-141) stable; urgency=low

  * COBRA-8522: Global DCV passthrough breaks for hostname certificates

 -- J. Nick Koston <nick@cpanel.net>  Tue, 27 Nov 2018 00:00:00 -0000

ea-apache24-config (1.0-140) stable; urgency=low

  * BWG-289: Support HTTPS redirects in the default vhost configuration

 -- George Baugh <george.b@cpanel.net>  Tue, 13 Nov 2018 00:00:00 -0000

ea-apache24-config (1.0-139) stable; urgency=low

  * EA-7980: Revert template changes as it was causing Wordpress failures

 -- Cory McIntire <cory@cpanel.net>  Thu, 01 Nov 2018 00:00:00 -0000

ea-apache24-config (1.0-138) stable; urgency=low

  * EA-7903: Update vhost templates for PHP-FPM ErrorDocument handling

 -- Tim Mullin <tim@cpanel.net>  Tue, 23 Oct 2018 00:00:00 -0000

ea-apache24-config (1.0-137) stable; urgency=low

  * EA-7373: Fix ServerAdmin in the template

 -- Tim Mullin <tim@cpanel.net>  Fri, 31 Aug 2018 00:00:00 -0000

ea-apache24-config (1.0-136) stable; urgency=low

  * EA-7261: Create EA3->EA4 symlinks even when EA3 file exists

 -- Tim Mullin <tim@cpanel.net>  Wed, 22 Aug 2018 00:00:00 -0000

ea-apache24-config (1.0-135) stable; urgency=low

  * EA-7035: Explicitly set the --dir option for splitlogs

 -- Tim Mullin <tim@cpanel.net>  Fri, 17 Aug 2018 00:00:00 -0000

ea-apache24-config (1.0-134) stable; urgency=low

  * EA-7012: Use hostname for proxy subdomains SSL vhost

 -- Tim Mullin <tim@cpanel.net>  Wed, 15 Aug 2018 00:00:00 -0000

ea-apache24-config (1.0-133) stable; urgency=low

  * EA-7777: Ensure that log entries for the hostname, and the shared IPs are
  logged in the main access_log instead of individual domlogs.

 -- Rishwanth Yeddula <rish@cpanel.net>  Thu, 26 Jul 2018 00:00:00 -0000

ea-apache24-config (1.0-132) stable; urgency=low

  * ZC-3914: Remove EA3 specific concurrent PHP open_basedir

 -- Daniel Muey <dan@cpanel.net>  Thu, 12 Jul 2018 00:00:00 -0000

ea-apache24-config (1.0-131) stable; urgency=low

  * EA-7548: Ensure that setup_session_save_path codepath properly executes in the YUM hook

 -- Rishwanth Yeddula <rish@cpanel.net>  Thu, 07 Jun 2018 00:00:00 -0000

ea-apache24-config (1.0-130) stable; urgency=low

  * EA-3773: paths.conf: use correct value for file_conf_mime_types

 -- Daniel Muey <dan@cpanel.net>  Mon, 21 May 2018 00:00:00 -0000

ea-apache24-config (1.0-129) stable; urgency=low

  * EA-7383: never automatically set to none

 -- Daniel Muey <dan@cpanel.net>  Thu, 05 Apr 2018 00:00:00 -0000

ea-apache24-config (1.0-128) stable; urgency=low

  * EA-7370: Have PHP config hook script error out if all PHPs would be set to `none`

 -- Daniel Muey <dan@cpanel.net>  Wed, 04 Apr 2018 00:00:00 -0000

ea-apache24-config (1.0-127) stable; urgency=low

  * EA-7252: Update migrate_extension_to_pecl_ini to use new INI file name

 -- Daniel Muey <dan@cpanel.net>  Mon, 26 Feb 2018 00:00:00 -0000

ea-apache24-config (1.0-126) stable; urgency=low

  * ZC-3381: Ensure there is a newline after SSL hostname `</VirtualHost>`

 -- Dan Muey <dan@cpanel.net>  Mon, 05 Feb 2018 00:00:00 -0000

ea-apache24-config (1.0-125) stable; urgency=low

  * ZC-3249: Ensure the "default SSL" vhost is properly bound to all of the
  shared IPs on the server. Additionally, fixed up the whitespace oddities
  in the generated vhost.

 -- Rishwanth Yeddula <rish@cpanel.net>  Thu, 11 Jan 2018 00:00:00 -0000

ea-apache24-config (1.0-124) stable; urgency=low

  * EA-6668: Update ea4_main.default to handle hostname SSL
  * Update IPs list to only be a wildcard for hostname SSL

 -- Cory McIntire <cory@cpanel.net>  Wed, 13 Dec 2017 00:00:00 -0000

ea-apache24-config (1.0-123) stable; urgency=low

  * EA-6986: Add global rewrite exclude to allow DCV when .well-known dirs are behind htaccess based password protection.

 -- J. Nick Koston <nick@cpanel.net>  Fri, 01 Dec 2017 00:00:00 -0000

ea-apache24-config (1.0-122) stable; urgency=low

  * EA-6962: Move global rewrite option 'inherit' definition before includes so that Global DCV rewrite isn't overridden by includes.

 -- J. Nick Koston <nick@cpanel.net>  Thu, 16 Nov 2017 00:00:00 -0000

ea-apache24-config (1.0-121) stable; urgency=low

  * CPANEL-16347: Remove hostname from default proxy subdomain vhosts.

 -- Felipe Gasper <felipe@cpanel.net>  Fri, 10 Nov 2017 00:00:00 -0000

ea-apache24-config (1.0-120) stable; urgency=low

  * EA-6910: move extension directives from php.ini to php.d/02-pecl.ini so it loads after 01-ioncube.ini

 -- Dan Muey <dan@cpanel.net>  Thu, 02 Nov 2017 00:00:00 -0000

ea-apache24-config (1.0-119) stable; urgency=low

  * EA-6793: whm-server-status triggers mod_sec

 -- Cory McIntire <cory@cpanel.net>  Tue, 10 Oct 2017 00:00:00 -0000

ea-apache24-config (1.0-118) stable; urgency=low

  * ZC-2930: Update ea4 vhost template for new ea4 WHM config options

 -- Dan Muey <dan@cpanel.net>  Tue, 03 Oct 2017 00:00:00 -0000

ea-apache24-config (1.0-117) stable; urgency=low

  * Add an updated proxy subdomain vhost rewrite condition and a test for the conditions.

 -- Jason Kiniry <jason@cpanel.net>  Fri, 22 Sep 2017 00:00:00 -0000

ea-apache24-config (1.0-116) stable; urgency=low

  * Undo change from 1.0-115.

 -- Felipe Gasper <felipe@cpanel.net>  Tue, 19 Sep 2017 00:00:00 -0000

ea-apache24-config (1.0-115) stable; urgency=low

  * COBRA-5581: Always use regexp to match SSL proxy subdomains in vhost.

 -- Felipe Gasper <felipe@cpanel.net>  Mon, 18 Sep 2017 00:00:00 -0000

ea-apache24-config (1.0-114) stable; urgency=low

  * EA-6808: restart apache when glibc is updated

 -- Dan Muey <dan@cpanel.net>  Thu, 14 Sep 2017 00:00:00 -0000

ea-apache24-config (1.0-113) stable; urgency=low

  * EA-6778: Add warings to ssl_vhost.default about sslcertificatekeyfile

 -- J. Nick Koston <nick@cpanel.net>  Wed, 13 Sep 2017 00:00:00 -0000

ea-apache24-config (1.0-112) stable; urgency=low

  * EA-6240: Whitelist proxy subdomains in ModSec for SSL vhosts

 -- Cory McIntire <cory@cpanel.net>  Tue, 12 Sep 2017 00:00:00 -0000

ea-apache24-config (1.0-111) stable; urgency=low

  * EA-6733: Ensure .htaccess is read with mod_userdir and htaccess optimizations

 -- J. Nick Koston <nick@cpanel.net>  Fri, 01 Sep 2017 00:00:00 -0000

ea-apache24-config (1.0-110) stable; urgency=low

  * COBRA-5343: Don't include SSLCertificateKeyFile line if it isn't needed.

 -- Felipe Gasper <felipe@cpanel.net>  Thu, 10 Aug 2017 00:00:00 -0000

ea-apache24-config (1.0-109) stable; urgency=low

  * EA-6548: Create directives for WebSocket over proxy subdomains.

 -- Felipe Gasper <felipe@cpanel.net>  Thu, 03 Aug 2017 00:00:00 -0000

ea-apache24-config (1.0-108) stable; urgency=low

  * EA-6536: undo EA-6159 since it interferes with some redirects

 -- Dan Muey <dan@cpanel.net>  Thu, 13 Jul 2017 00:00:00 -0000

ea-apache24-config (1.0-107) stable; urgency=low

  * HB-2719: remove trailing slash from fcgi alias config line in template

 -- Darren Mobley <darren@cpanel.net>  Mon, 10 Jul 2017 00:00:00 -0000

ea-apache24-config (1.0-106) stable; urgency=low

  * EA-6159: have fallback errordoc check for existence of .shtml file

 -- Dan Muey <dan@cpanel.net>  Tue, 20 Jun 2017 00:00:00 -0000

ea-apache24-config (1.0-105) stable; urgency=low

  * PIG-3252: Block userdir requests on mod_passenger

 -- Rishwanth Yeddula <rish@cpanel.net>  Fri, 16 Jun 2017 00:00:00 -0000

ea-apache24-config (1.0-104) stable; urgency=low

  * PIG-3244: Set the proper PassengerUser and PassengerGroup per vhost to
  ensure that Passenger runs the applications as the right user.

 -- Rishwanth Yeddula <rish@cpanel.net>  Thu, 15 Jun 2017 00:00:00 -0000

ea-apache24-config (1.0-103) stable; urgency=low

  * EA-6414: Call PHP hook scripts for *-php* transactions

 -- Dan Muey <dan@cpanel.net>  Tue, 13 Jun 2017 00:00:00 -0000

ea-apache24-config (1.0-102) stable; urgency=low

  * Reversion of CL modSec changes
  * Removal of suphpconf.pl until fixes are in place.

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Sun, 11 Jun 2017 00:00:00 -0000

ea-apache24-config (1.0-101) stable; urgency=low

  * Partial reversion of 009-phpconf.pl move

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Fri, 09 Jun 2017 00:00:00 -0000

ea-apache24-config (1.0-100) stable; urgency=low

  * EA-6356: leave unknown suphp handlers in place

 -- Dan Muey <dan@cpanel.net>  Tue, 06 Jun 2017 00:00:00 -0000

ea-apache24-config (1.0-99) stable; urgency=low

  * EA-6344: Add yum hook to ensure suphp.conf handlers are correct

 -- Dan Muey <dan@cpanel.net>  Mon, 05 Jun 2017 00:00:00 -0000

ea-apache24-config (1.0-98) stable; urgency=low

  * EA-6246: ensure modescurity2's secdatadir/users dir cagefs entry (add % to 'lines matching' check)

 -- Dan Muey <dan@cpanel.net>  Thu, 01 Jun 2017 00:00:00 -0000

ea-apache24-config (1.0-97) stable; urgency=low

  * EA-6324: Also call PHP config hook script after transactions with *-php*

 -- Dan Muey <dan@cpanel.net>  Mon, 29 May 2017 00:00:00 -0000

ea-apache24-config (1.0-96) stable; urgency=low

  * EA-6302: Add SSLStaplingResponderTimeout to help when OCSP is down

 -- Cory McIntire <cory@cpanel.net>  Mon, 22 May 2017 00:00:00 -0000

ea-apache24-config (1.0-95) stable; urgency=low

  * EA-6214: Add yum hook to notify .local users that the .default templates have changed

 -- Dan Muey <dan@cpanel.net>  Tue, 25 Apr 2017 00:00:00 -0000

ea-apache24-config (1.0-94) stable; urgency=low

  * STS-549: Setup php session directory after install of php.

 -- Jared Wright <jared.wright@cpanel.net>  Mon, 03 Apr 2017 00:00:00 -0000

ea-apache24-config (1.0-93) stable; urgency=low

  * EA-6122: Ensure new style proxy subs are disabled if mod_proxy is not installed or proxy subdomains disabled

 -- J. Nick Koston <nick@cpanel.net>  Thu, 30 Mar 2017 00:00:00 -0000

ea-apache24-config (1.0-92) stable; urgency=low

  * EA-6088: Bad regex in cPanel security policy httpd.conf addition

 -- Cory McIntire <cory@cpanel.net>  Wed, 22 Mar 2017 00:00:00 -0000

ea-apache24-config (1.0-91) stable; urgency=low

  * EA-6082: Allow optimizing AllowOveride

 -- J. Nick Koston <nick@cpanel.net>  Mon, 20 Mar 2017 00:00:00 -0000

ea-apache24-config (1.0.90) stable; urgency=low

  * EA-6026: Block exposure to .user.ini and php.ini in public_html

 -- Cory McIntire <cory@cpanel.net>  Sat, 11 Mar 2017 00:00:00 -0000

ea-apache24-config (1.0.89) stable; urgency=low

  * Hardened permissions for domlogs

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Fri, 03 Mar 2017 00:00:00 -0000

ea-apache24-config (1.0-88) stable; urgency=low

  * Add global DCV exclude to EA4 templates

 -- Nick Koston <nick@cpanel.net>  Wed, 22 Feb 2017 00:00:00 -0000

ea-apache24-config (1.0-87) stable; urgency=low

  * EA-5983: Turn SSLStaplingFakeTryLater off in ea4 template

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Wed, 22 Feb 2017 00:00:00 -0000

ea-apache24-config (1.0-86) stable; urgency=low

  * EA-5864: Do not call restartsrv_apache_php_fpm on systems that do not have restartsrv_apache_php_fpm

 -- Dan Muey <dan@cpanel.net>  Mon, 13 Feb 2017 00:00:00 -0000

ea-apache24-config (1.0-85) stable; urgency=low

  * EA-5855: spork off fixmailman since it can take a while

 -- Dan Muey <dan@cpanel.net>  Sat, 21 Jan 2017 00:00:00 -0000

ea-apache24-config (1.0-84) stable; urgency=low

  * Remove extra tailing slash from ProxyPass subdomains (EA-5892)

 -- Nick Koston <nick@cpanel.net>  Thu, 19 Jan 2017 00:00:00 -0000

ea-apache24-config (1.0-83) stable; urgency=low

  * Update EA4 templates to support faster ProxyPass subdomains (EA-5860)

 -- Nick Koston <nick@cpanel.net>  Thu, 19 Jan 2017 00:00:00 -0000

ea-apache24-config (1.0-82) stable; urgency=low

  * Update EA4 templates for proxy subdomain AutoSSL support (EA-5859)

 -- Nick Koston <nick@cpanel.net>  Thu, 19 Jan 2017 00:00:00 -0000

ea-apache24-config (1.0-81) stable; urgency=low

  * Send SSL traffic to only the SSL log

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Tue, 27 Dec 2016 00:00:00 -0000

ea-apache24-config (1.0-80) stable; urgency=low

  * EA-5783: Reload PHP-FPM after PHP modules are updated

 -- Dan Muey <dan@cpanel.net>  Wed, 21 Dec 2016 00:00:00 -0000

ea-apache24-config (1.0-79) stable; urgency=low

  * This script only runs for 11.60.0.1 and newer (EA-5428)

 -- S. Kurt Newman <kurt.newman@cpanel.net>  Fri, 16 Dec 2016 00:00:00 -0000

ea-apache24-config (1.0-78) stable; urgency=low

  * EA-5613: Remove ScriptAlias for no longer existing scgiwrap

 -- Dan Muey <dan@cpanel.net>  Wed, 07 Dec 2016 00:00:00 -0000

ea-apache24-config (1.0-77) stable; urgency=low

  * EA-5724: Allow splitlogs.conf to override the configured SSL port

 -- Dan Muey <dan@cpanel.net>  Tue, 06 Dec 2016 00:00:00 -0000

ea-apache24-config (1.0-76) stable; urgency=low

  * EA-5712: Remove 510-update-apachectl universal hook

 -- Dan Muey <dan@cpanel.net>  Thu, 01 Dec 2016 00:00:00 -0000

ea-apache24-config (1.0-75) stable; urgency=low

  * EA-5533: Avoid crossing filesystems in location of pid file.

 -- Edwin Buck <e.buck@cpanel.net>  Thu, 01 Dec 2016 00:00:00 -0000

ea-apache24-config (1.0-74) stable; urgency=low

  * EA-5658: Do hard restart of apache when mod_fcgid is involved in a transaction

 -- Dan Muey <dan@cpanel.net>  Wed, 30 Nov 2016 00:00:00 -0000

ea-apache24-config (1.0-73) stable; urgency=low

  * EA-5484: Add support for SymlinkProtect in httpd.conf templates.

 -- Edwin Buck <e.buck@cpanel.net>  Tue, 01 Nov 2016 00:00:00 -0000

ea-apache24-config (1.0-72) stable; urgency=low

  * HB-2037: Fix shebang in fileprotect script

 -- Darren Mobley <darren@cpanel.net>  Wed, 26 Oct 2016 00:00:00 -0000

ea-apache24-config (1.0-71) stable; urgency=low

  * EA-4922: Have 009 use new interface to determine availability of handler

 -- Dan Muey <dan@cpanel.net>  Tue, 25 Oct 2016 00:00:00 -0000

ea-apache24-config (1.0-70) stable; urgency=low

  * HB-1985: add enablefileprotect hook based on existence of touchfile

 -- Mark Gardner <m.gardner@cpanel.net>  Tue, 18 Oct 2016 00:00:00 -0000

ea-apache24-config (1.0-69) stable; urgency=low

  * ZC-2149: restore the proxy subdomain comments to where the parser needs them to be

 -- Dan Muey <dan@cpanel.net>  Wed, 21 Sep 2016 00:00:00 -0000

ea-apache24-config (1.0-68) stable; urgency=low

  * HB-1952: Add posttrans script to clean upand reset to default the PHP
  configurations for users using FPM when the packages are removed.

 -- Darren Mobley <darren@cpanel.net>  Fri, 16 Sep 2016 00:00:00 -0000

ea-apache24-config (1.0-67) stable; urgency=low

  * EA-5227: improve output of symlink setup script

 -- Dan Muey <dan@cpanel.net>  Tue, 13 Sep 2016 00:00:00 -0000

ea-apache24-config (1.0-66) stable; urgency=low

  * EA-4914: Fix PHP installations to not report module removals.

 -- Edwin Buck <e.buck@cpanel.net>  Tue, 23 Aug 2016 00:00:00 -0000

ea-apache24-config (1.0-65) stable; urgency=low

  * CPANEL-7006: Make fpm pools use SetHandler rather than ProxyPassMatch

 -- Matt Dees <matt.dees@cpanel.net>  Mon, 08 Aug 2016 00:00:00 -0000

ea-apache24-config (1.0-64) stable; urgency=low

  * EA-4684: Disable mod_security restritions on proxy vhost traffic

 -- Edwin Buck <e.buck@cpanel.net>  Fri, 15 Jul 2016 00:00:00 -0000

ea-apache24-config (1.0-63) stable; urgency=low

  * ZC-1972: Have 009 script default PHP to 5.6

 -- Dan Muey <dan@cpanel.net>  Thu, 14 Jul 2016 00:00:00 -0000

ea-apache24-config (1.0-62) stable; urgency=low

  * EA-4673: Rollback modsec2 location change until WHM can support it.

 -- Edwin Buck <e.buck@cpanel.net>  Tue, 05 Jul 2016 00:00:00 -0000

ea-apache24-config (1.0-61) stable; urgency=low

  * Now fixes permissions on mailman dir in case Apache env changes (ZC-2011)

 -- S. Kurt Newman <kurt.newman@cpanel.net>  Tue, 05 Jul 2016 00:00:00 -0000

ea-apache24-config (1.0-60) stable; urgency=low

  * ZC-2014: Make sure modsec conf is initialized via universal hook

 -- Dan Muey <dan@cpanel.net>  Thu, 30 Jun 2016 00:00:00 -0000

ea-apache24-config (1.0-59) stable; urgency=low

  * EA-4383: Update Release value to OBS-proof versioning

 -- Dan Muey <dan@cpanel.net>  Mon, 20 Jun 2016 00:00:00 -0000

ea-apache24-config (1.0-48) stable; urgency=low

  * Recognize libphp7.so as a valid PHP handler

 -- David Nielson <david.nielson@cpanel.net>  Fri, 03 Jun 2016 00:00:00 -0000

ea-apache24-config (1.0.47) stable; urgency=low

  * Add templates to vhost for PHP-FPM.

 -- Julian Brown <julian.brown@cpanel.net>  Mon, 16 May 2016 00:00:00 -0000

ea-apache24-config (1.0.46) stable; urgency=low

  * Disable stabling errors from being sent to the HTTP client.

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Wed, 20 Apr 2016 00:00:00 -0000

ea-apache24-config (1.0.45) stable; urgency=low

  * Removed call to clear packman cache

 -- Darren Mobley <darren@cpanel.net>  Fri, 12 Feb 2016 00:00:00 -0000

ea-apache24-config (1.0.44) stable; urgency=low

  * Do splitlogs.conf logic in template

 -- Dan Muey <dan@cpanel.net>  Tue, 22 Dec 2015 00:00:00 -0000

ea-apache24-config (1.0.43) stable; urgency=low

  * configure split logs when its enabled

 -- Dan Muey <dan@cpanel.net>  Thu, 17 Dec 2015 00:00:00 -0000

ea-apache24-config (1.0.42) stable; urgency=low

  * Fixed virtual host definition ordering httpd.conf so users
  can override cpanel & whm proxy subdomains (EA-3865)

 -- S. Kurt Newman <kurt.newman@cpanel.net>  Thu, 17 Dec 2015 00:00:00 -0000

ea-apache24-config (1.0.41) stable; urgency=low

  * Add PackMan cache to 010-purge_cache.pl

 -- Dan Muey <dan@cpanel.net>  Tue, 15 Dec 2015 00:00:00 -0000

ea-apache24-config (1.0.40) stable; urgency=low

  * Update name space and attribute (ZC-1202)

 -- Dan Muey <dan@cpanel.net>  Mon, 07 Dec 2015 00:00:00 -0000

ea-apache24-config (1.0.39) stable; urgency=low

  * Have 009-phpconf.pl work under the original and refactored MultiPHP modules

 -- Dan Muey <dan@cpanel.net>  Thu, 12 Nov 2015 00:00:00 -0000

ea-apache24-config (1.0.38) stable; urgency=low

  * Remove legacy mod_disable_suexec logic from SSL

 -- Dan Muey <dan@cpanel.net>  Thu, 01 Oct 2015 00:00:00 -0000

ea-apache24-config (1.0-37) stable; urgency=low

  * Now allows cpanel users to customize their error pages using
  errordocument.conf (EA-3732)

 -- S. Kurt Newman <kurt.newman@cpanel.net>  Thu, 01 Oct 2015 00:00:00 -0000

ea-apache24-config (1.0.36) stable; urgency=low

  * Remove legacy mod_disable_suexec logic

 -- Dan Muey <dan@cpanel.net>  Wed, 30 Sep 2015 00:00:00 -0000

ea-apache24-config (1.0-35) stable; urgency=low

  * Fix for changelog to get OBS to publish correctly

 -- S. Kurt Newman <kurt.newman@cpanel.net>  Tue, 01 Sep 2015 00:00:00 -0000

ea-apache24-config (1.0-34) stable; urgency=low

  * Updated ea4_main.default with a host of fixes (ZC-913 for more info)
  * Changed package to noarch

 -- S. Kurt Newman <kurt.newman@cpanel.net>  Tue, 01 Sep 2015 00:00:00 -0000

ea-apache24-config (1.0-33) stable; urgency=low

  * Have phpconf fix up happen earlier in the process.

 -- Julian Brown <julian.brown@cpanel.net>  Tue, 01 Sep 2015 00:00:00 -0000

ea-apache24-config (1.0-32) stable; urgency=low

  * Update template to work with errordocument.conf

 -- Dan Muey <dan@cpanel.net>  Mon, 24 Aug 2015 00:00:00 -0000

ea-apache24-config (1.0-31) stable; urgency=low

  * Added checking in php hook that sysdefault is still installed

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Fri, 21 Aug 2015 00:00:00 -0000

ea-apache24-config (1.0-30) stable; urgency=low

  * Added cgi fallback to phpconf hook when suphp is not available

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Mon, 17 Aug 2015 00:00:00 -0000

ea-apache24-config (1.0-29) stable; urgency=low

  * Remove handling of /etc/cpanel/ea4/is_ea4

 -- Darren Mobley <darren@cpanel.net>  Mon, 17 Aug 2015 00:00:00 -0000

ea-apache24-config (1.0-28) stable; urgency=low

  * have PHP config hook script account for a zero PHP state: ignore needless object constructor death and remove its files

 -- Dan Muey <dan@cpanel.net>  Thu, 13 Aug 2015 00:00:00 -0000

ea-apache24-config (1.0-27) stable; urgency=low

  * Removed unused Apache templates

 -- S. Kurt Newman <kurt.newman@cpanel.net>  Tue, 30 Jun 2015 00:00:00 -0000

ea-apache24-config (1.0-26) stable; urgency=low

  * Added rlimitmem and rlimitcpu options to the ea4_main template

 -- Darren Mobley <darren@cpanel.net>  Thu, 25 Jun 2015 00:00:00 -0000

ea-apache24-config (1.0-25) stable; urgency=low

  * Moved 050-update-apachectl to 510-update-apachectl

 -- Julian Brown <julian.brown@cpanel.net>  Fri, 05 Jun 2015 00:00:00 -0000

ea-apache24-config (1.0-24) stable; urgency=low

  * Renamed 040-restartsrv_httpd.sh to 500-restartsrv_httpd.sh to fix chicken/egg problem during migration

 -- Darren Mobley <darren@cpanel.net>  Wed, 03 Jun 2015 00:00:00 -0000

ea-apache24-config (1.0-23) stable; urgency=low

  * Renamed package to ea-apache24-config for granularity

 -- Darren Mobley <darren@cpanel.net>  Thu, 28 May 2015 00:00:00 -0000

ea-apache24-config (1.0-22) stable; urgency=low

  * Renamed spec file itself to ea-apache2-config.spec

 -- Darren Mobley <darren@cpanel.net>  Mon, 11 May 2015 00:00:00 -0000

ea-apache24-config (1.0-21) stable; urgency=low

  * Renamed to ea-apache2-config

 -- Darren Mobley <darren@cpanel.net>  Thu, 07 May 2015 00:00:00 -0000

ea-apache24-config (1.0-20) stable; urgency=low

  * update name of yum-plugin

 -- Dan Muey <dan@cpanel.net>  Wed, 06 May 2015 00:00:00 -0000

ea-apache24-config (1.0-19) stable; urgency=low

  * Update license from cpanel to BSD 2-Clause
  * add comment to 040 exlaining why it isn't a symlink

 -- Dan Muey <dan@cpanel.net>  Wed, 06 May 2015 00:00:00 -0000

ea-apache24-config (1.0-18) stable; urgency=low

  * Modified template to include CustomLogs

 -- Julian Brown <julian.brown@cpanel.net>  Wed, 06 May 2015 00:00:00 -0000

ea-apache24-config (1.0-17) stable; urgency=low

  * Added TypesConfig for mime types to the template for Apache 2.4

 -- Dan Muey <dan@cpanel.net>  Tue, 05 May 2015 00:00:00 -0000

ea-apache24-config (1.0-16) stable; urgency=low

  * Put paths.conf & is_ea4 in /etc/cpanel/ea4 for non-root users

 -- Dan Muey <dan@cpanel.net>  Tue, 28 Apr 2015 00:00:00 -0000

ea-apache24-config (1.0-15) stable; urgency=low

  * Updated 080 script to not use method that was removed upstream

 -- Dan Muey <dan@cpanel.net>  Wed, 01 Apr 2015 00:00:00 -0000

ea-apache24-config (1.0-14) stable; urgency=low

  * Added 080-phpconf script

 -- Dan Muey <dan@cpanel.net>  Mon, 30 Mar 2015 00:00:00 -0000

ea-apache24-config (1.0-13) stable; urgency=low

  * Fixed 060 to not symlink conf dir (specific content already symlinked)
  * consolidated 060's mkdirs and fixed bug w/ error variable

 -- Dan Muey <dan@cpanel.net>  Mon, 30 Mar 2015 00:00:00 -0000

ea-apache24-config (1.0-12) stable; urgency=low

  * Added ea4_main template, and pointed things back to httpd.conf

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Tue, 24 Mar 2015 00:00:00 -0000

ea-apache24-config (1.0-11) stable; urgency=low

  * Added symlink script

 -- Tim Mullin <tim@cpanel.net>  Mon, 23 Mar 2015 00:00:00 -0000

ea-apache24-config (1.0-10) stable; urgency=low

  * Renamed to ea-httpd*

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Mon, 23 Mar 2015 00:00:00 -0000

ea-apache24-config (1.0-9) stable; urgency=low

  * Stopped autogenerating "requires" for httpd-runtime
  * Invoking restartsrv_http via a script rather than a symlink

 -- Tim Mullin <tim@cpanel.net>  Fri, 20 Mar 2015 00:00:00 -0000

ea-apache24-config (1.0-8) stable; urgency=low

  * Added symlinked triggers for apache

 -- Tim Mullin <tim@cpanel.net>  Thu, 19 Mar 2015 00:00:00 -0000

ea-apache24-config (1.0-7) stable; urgency=low

  * Added the cloudlinux cagefs yum plugin script

 -- Dan Muey <dan@cpanel.net>  Wed, 18 Mar 2015 00:00:00 -0000

ea-apache24-config (1.0-6) stable; urgency=low

  * Added the cache purge yum plugin script
  * bump version for release

 -- Tim Mullin <tim@cpanel.net>  Wed, 18 Mar 2015 00:00:00 -0000

ea-apache24-config (1.0-5) stable; urgency=low

  * changed indicator file from conf_dir/ea4_built to /var/cpanel/conf/is_ea4
  * bump version for release

 -- Dan Muey <dan@cpanel.net>  Tue, 17 Mar 2015 00:00:00 -0000

ea-apache24-config (1.0-3) stable; urgency=low

  * Changed package name to httpd
  * Updated paths.conf to reflect new filesystem layout

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Fri, 27 Feb 2015 00:00:00 -0000

ea-apache24-config (1.0-2) stable; urgency=low

  * Added cPanel config templates
  * Added dependency on httpd-mpm

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Thu, 26 Feb 2015 00:00:00 -0000

ea-apache24-config (1.0-1) stable; urgency=low

  * add ea4_built flag file

 -- Matt Dees <matt.dees@cpanel.net>  Wed, 18 Feb 2015 00:00:00 -0000

ea-apache24-config (1.0-0) stable; urgency=low

  * Initial creation

 -- S. Kurt Newman <kurt.newman@cpanel.net>  Tue, 20 Jan 2015 00:00:00 -0000

